Bug 1606046 - qsf: FTBFS in Fedora rawhide
Summary: qsf: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qsf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1607290
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:11 UTC by Mohan Boddu
Modified: 2018-08-21 10:53 UTC (History)
1 user (show)

Fixed In Version: qsf-1.2.11-7.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-21 10:53:58 UTC


Attachments (Terms of Use)
build.log (5.79 KB, text/plain)
2018-07-20 18:11 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:12 UTC, Mohan Boddu
no flags Details
state.log (607 bytes, text/plain)
2018-07-20 18:12 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:11:54 UTC
qsf failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28227156


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix qsf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qsf will be orphaned. Before branching of Fedora 30,
qsf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:11:59 UTC
Created attachment 1467202 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 18:12:02 UTC
Created attachment 1467203 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:12:05 UTC
Created attachment 1467204 [details]
state.log

Comment 4 Miroslav Lichvar 2018-07-23 08:28:05 UTC
The spec has been fixed to buildrequire gcc.

However, the build is now failing due to a gdbm issue (bug #1607290).

Comment 5 Igor Gnatenko 2018-07-23 15:23:08 UTC
Matches:
configure: error: no acceptable C compiler found in $PATH

Suggested fix:
BuildRequires:  gcc

Comment 6 Jan Kurik 2018-08-14 11:03:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.